/*
 * 著作権: Copyright (c) 2007−2008 ZIGEN
 * ライセンス：Eclipse Public License - v 1.0
 * 原文：http://www.eclipse.org/legal/epl-v10.html
 */

package zigen.plugin.db.ext.s2jdbc.wizards;

import org.eclipse.jface.viewers.ICellModifier;
import org.eclipse.jface.viewers.TableViewer;

/**
 * 
 * CellModifierクラス.
 * 
 * @author ZIGEN
 * @version 1.0
 * @since JDK1.4 history Symbol Date Person Note [001] 2005/03/26 ZIGEN create. [002] 2005/11/20 ZIGEN 同一行編集時にデットロックになる障害に対応. [003] 2005/11/22 ZIGEN 複数JDBCMapping対応.
 * 
 */
public class CellModifier2 implements ICellModifier {
	
	protected TableViewer viewer;
	
	protected Object oldValue = null;
	
	protected Object newValue = null;
	
	
	public CellModifier2(TableViewer viewer) {
		this.viewer = viewer;
	}
	
	public boolean canModify(Object element, String property) {
		int index = Integer.parseInt(property);
		// modify 2007/11/02 ZIGEN 行番号を選択した場合は抜ける
		if (index == 0)
			return false;
		
		return true;
	}
	
	public Object getValue(Object element, String property) {
		int index = Integer.parseInt(property);// 数値に変換
		return "test";
	}
	
	/**
	 * 見た目上は更新するが、DBはまだアップデートしない
	 */
	public void modify(Object element, String property, Object value) {
		int index = Integer.parseInt(property);
		if (value == null)
			value = ""; //$NON-NLS-1$
		newValue = value;
	}
	
}
